from django_tables import ModelTable, Column

from thuvien.collection.models import Volume, Metadata


class VolumeTable(ModelTable):
    id = Column(sortable=False, visible=False)
    md__title_hn = Column(name="Title (HN)")
    md__title_qn = Column(name="Title (QN)")
    md__date_dl = Column(name="Publication Date")
    class Meta:
        model = Volume
        sortable = True
        exclude=['collection',
                 'storage',
                 'md',
                 ]
